package com.yiboshi.science.entity;

import com.yiboshi.science.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;

/**
 * 经费申请表（任务书/项目申请书）VO
 * 
 * @author lkl
 * @version 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "设备仪器经费表（任务书/项目申请书）")
public class ComProjectEquipment extends BaseEntity {

    /** 对象id（项目Id/任务书Id） */
    @ApiModelProperty(value = "对象id（项目Id/任务书Id）", position = 2 )
    @Length(max=36, message = "对象id（项目Id/任务书Id）不能大于36")
    private String objectId;
    /** 设备仪器名称 */
    @ApiModelProperty(value = "设备仪器名称", position = 1 )
    @Length(max=36, message = "设备仪器名称不能大于200")
    private String name;
    /** 规格型号 */
    @ApiModelProperty(value = "规格型号", position = 1 )
    @Length(max=36, message = "规格型号不能大于200")
    private String specificationType;
    /** 数量 */
    @ApiModelProperty(value = "数量", position = 1 )
    private Integer quantity;
    /** 金额 */
    @ApiModelProperty(value = "金额", position = 3 )
    private BigDecimal totalBudget;
    /** 用途 */
    @ApiModelProperty(value = "用途", position = 1 )
    @Length(max=36, message = "用途不能大于200")
    private String useFrom;
}