package com.yiboshi.science.param.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 项目组成员表DTO
 * 
 * @author lkl
 * @version 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "项目组成员表DTO")
public class ComProjectMembersDTO extends BaseDTO {
    /** 对象Id(项目Id/任务书Id) */
    @ApiModelProperty(value = "对象Id(项目Id/任务书Id)", position = 1 )
    private String objectId;
    /** 姓名 */
    @ApiModelProperty(value = "姓名", position = 2 )
    private String name;
    /** 证件号 */
    @ApiModelProperty(value = "证件号", position = 1)
    private String certId;
    /** 性别 */
    @ApiModelProperty(value = "性别", position = 4 )
    private String sex;
    /** 出生年月 */
    @ApiModelProperty(value = "出生年月", position = 3 )
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date birthday;
    /** 年龄 */
    @ApiModelProperty(value = "年龄", position = 5 )
    private Integer age;
    /** 职务 */
    @ApiModelProperty(value = "职务", position = 9 )
    private String duty;
    /** 学历 */
    @ApiModelProperty(value = "学历", position = 8)
    private String education;
    /** 专业 */
    @ApiModelProperty(value = "专业", position = 11)
    private String spec;
    /** 职称 */
    @ApiModelProperty(value = "职称", position = 5 )
    private String title;
    /** 学位 */
    @ApiModelProperty(value = "学位", position = 4 )
    private String degree;
    /** 工作单位 */
    @ApiModelProperty(value = "工作单位", position = 7 )
    private String workUnit;
    /** 研究方向 */
    @ApiModelProperty(value = "研究方向", position = 6 )
    private String researchDirection;
    /** 项目分工 */
    @ApiModelProperty(value = "项目分工", position = 8 )
    private String projWork;
    /** 年参加月数 */
    @ApiModelProperty(value = "年参加月数", position = 9 )
    private Integer forMonths;
    /** 排序 */
    @ApiModelProperty(value = "排序", position = 10 )
    private Integer showIndex;
    /** 角色 1项目负责人 2一般成员 */
    @ApiModelProperty(value = "角色 1项目负责人 2一般成员", position = 11 )
    private Integer role;

    /** 职务 */
    @ApiModelProperty(value = "职务", position = 9)
    private String dutyName;
    /** 职称名称 */
    @ApiModelProperty(value = "职称名称", position = 9)
    private String titleName;
    /** 专业 */
    @ApiModelProperty(value = "专业", position = 9)
    private String specName;
    /** 学位 */
    @ApiModelProperty(value = "学位", position = 8)
    private String degreeName;
    /** 学历 */
    @ApiModelProperty(value = "学历", position = 8)
    private String educationName;


    /** 项目组成员_总人数 */
    @ApiModelProperty(value = "项目组成员_总人数", position = 17 )
    private Integer memCount;
    /** 项目组成员_高职 */
    @ApiModelProperty(value = "项目组成员_高职", position = 18 )
    private Integer memHighCount;
    /** 项目组成员_中职 */
    @ApiModelProperty(value = "项目组成员_中职", position = 19 )
    private Integer memMiddleCount;
    /** 项目组成员_初职 */
    @ApiModelProperty(value = "项目组成员_初职", position = 20 )
    private Integer memLowCount;
    /** 项目组成员_其他 */
    @ApiModelProperty(value = "项目组成员_其他", position = 21 )
    private Integer memOtherCount;
    /** 项目组成员_博士后 */
    @ApiModelProperty(value = "项目组成员_博士研究生", position = 22 )
    private Integer memBshCount;
    /** 项目组成员_博士生 */
    @ApiModelProperty(value = "项目组成员_博士研究生", position = 22 )
    private Integer memBsCount;
    /** 项目组成员_硕士生 */
    @ApiModelProperty(value = "项目组成员_硕士研究生", position = 23 )
    private Integer memSsCount;
    /** 项目组成员_硕士生 */
    @ApiModelProperty(value = "项目组成员_学士", position = 24)
    private Integer memXsCount;
    /** 项目组成员_参加单位数 */
    @ApiModelProperty(value = "项目组成员_参加单位数", position = 25)
    private Integer workCount;
}