package com.yiboshi.science.param.query;

import com.yiboshi.science.base.PaginationVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 查询合作单位表VO
 * 
 * @author lkl
 * @version 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "查询合作单位表VO")
public class ComProjectCooperativeUnitsQueryVO extends PaginationVO{
    /** Id */
    @ApiModelProperty(value = "Id")
    private String id;
    /** 对象Id（项目Id/任务书Id） */
    @ApiModelProperty(value = "对象Id（项目Id/任务书Id）", position = 1)
    private String objectId;
    /** 单位名称 */
    @ApiModelProperty(value = "单位名称", position = 2)
    private String unitName;
    /** 地址 */
    @ApiModelProperty(value = "地址", position = 3)
    private String unitAddress;
    /** 在项目中的分工 */
    @ApiModelProperty(value = "在项目中的分工", position = 4)
    private String projectWork;
}